Installation broken; can't install or update

Help with issues regarding installation of Debian

Installation broken; can't install or update

Postby Anic297 » 2018-12-04 12:28

Hello,

When I try to update my Debian configuration, using “apt-get update”, I get this in the process:
dpkg: error processing package procps (--configure):
subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of udev:
udev depends on procps; however:
Package procps is not configured yet.

dpkg: error processing package udev (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of systemd:
systemd depends on udev (>= 208-8); however:
Package udev is not configured yet.

dpkg: error processing package systemd (--configure):
dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.19-18+deb8u10) ...
Errors were encountered while processing:
procps
udev
systemd
E: Sub-process /usr/bin/dpkg returned an error code (1)

I have searched on the Internet, but so far, no answer helped me. Also, please note I'm not an advanced Linux user.
I have the feeling my installation is completely broken and I have no other choice than reinstalling the OS (but I can't as it's a VPS; at least, I don't know how).
Any help welcome.
Anic297
 
Posts: 7
Joined: 2016-10-17 14:48

Re: Installation broken; can't install or update

Postby None1975 » 2018-12-04 12:47

Hello. Please post your
Code: Select all
 /etc/apt/sources.list
here. I suspect it's a typical FrankenDebian.
User avatar
None1975
 
Posts: 703
Joined: 2015-11-29 18:23
Location: Lithuania, Vilnius

Re: Installation broken; can't install or update

Postby bw123 » 2018-12-04 13:44

That's the first thing I'd check, bad pkg from a non-debian source?

Many pkgs use scripts during install/remove, and they store them and info about themselves in /var/lib/dpkg/info

Sometimes this info can be corrupted during unpacking, and lead to this kind of error. The file mentioned (procps.postinst) should be 3481 bytes, and it is a readable script, no foreign characters in it. Or maybe one of the other procps.* files may be corrupt. This seems to happen on sd-card installations more often. Usually removing the files manually and reinstalling the pkg clears it up.

Code: Select all
$ ls -l /var/lib/dpkg/info/procps.postinst
-rwxr-xr-x 1 root root 3481 May 17  2018 /var/lib/dpkg/info/procps.postinst
User avatar
bw123
 
Posts: 3585
Joined: 2011-05-09 06:02
Location: TN_USA

Re: Installation broken; can't install or update

Postby Anic297 » 2018-12-04 14:11

Ok, here's the content of the /etc/apt/sources.list list:
deb http://ftp.debian.org/debian jessie main contrib non-free
deb http://ftp.debian.org/debian jessie-updates main contrib non-free
deb http://security.debian.org jessie/updates main contrib non-free
deb http://debian.home-dn.net/sarge postfix-vda/

Thanks.
Anic297
 
Posts: 7
Joined: 2016-10-17 14:48

Re: Installation broken; can't install or update

Postby Anic297 » 2018-12-04 14:16

Ok, the file I have has a different size:
root@<server>:~# ls -l /var/lib/dpkg/info/procps.postinst
-rwxr-xr-x 1 root root 3439 May 17 2018 /var/lib/dpkg/info/procps.postinst

However, it ends with “exit 0” and 3 blank lines, so it looks good to me (?).

Thanks.
Anic297
 
Posts: 7
Joined: 2016-10-17 14:48

Re: Installation broken; can't install or update

Postby None1975 » 2018-12-04 16:40

Anic297 wrote:Ok, here's the content of the /etc/apt/sources.list list:
deb http://debian.home-dn.net/sarge postfix-vda/.

That's the culprit. Debian Stable should not be combined with other releases. If you're trying to install software that isn't available in the current Debian Stable release, it's not a good idea to add repositories for other Debian releases. The problems might not happen right away, but the next time you install updates.
User avatar
None1975
 
Posts: 703
Joined: 2015-11-29 18:23
Location: Lithuania, Vilnius

Re: Installation broken; can't install or update

Postby Anic297 » 2018-12-04 17:33

Ok, good to know.
So I should just remove that line?

Thank you.
Anic297
 
Posts: 7
Joined: 2016-10-17 14:48

Re: Installation broken; can't install or update

Postby None1975 » 2018-12-04 18:10

Anic297 wrote:So I should just remove that line? Thank you.

You are welcome. It is not so easy. We do not know what packages were installed from http://debian.home-dn.net/sarge postfix-vda/., what dependencies for this packages were installed, and so on. I'm afraid that in this case, you have to completely reinstall your system. In my opinion, this would be the easiest option.
User avatar
None1975
 
Posts: 703
Joined: 2015-11-29 18:23
Location: Lithuania, Vilnius

Re: Installation broken; can't install or update

Postby stevepusser » 2018-12-04 18:46

OP is mostly running Jessie instead of Stretch, so that might lead to the different postinst file size instead of the sarge repo.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, 4.19.5 kernel, wine-staging 4.0~rc1, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10282
Joined: 2009-10-06 05:53

Re: Installation broken; can't install or update

Postby piper » 2018-12-05 12:13

To possibly find out what packages are installed from sarge

Code: Select all
aptitude search ~i -F"%p# %v# %t#"


*might help

They might come up as



Code: Select all
sarge

<NULL>

<NULL>sarge

<NULL>now


I have no experience with stable (desktop and servers)
User avatar
piper
 
Posts: 89
Joined: 2005-07-03 08:29

Re: Installation broken; can't install or update

Postby Anic297 » 2018-12-05 13:38

Thanks. Your code results in 1836 lines. I'm guessing it's a dead end… :?
Anic297
 
Posts: 7
Joined: 2016-10-17 14:48

Re: Installation broken; can't install or update

Postby llivv » 2018-12-05 23:50

this is a shot in the dark so don't be too optimistic.

please post what happens when
as root
Code: Select all
dpkg -P systemd
   
dpkg --configure -a
In memory of Ian Ashley Murdock (1973 - 2015) founder of the Debian project.
User avatar
llivv
 
Posts: 5716
Joined: 2007-02-14 18:10
Location: cold storage

Re: Installation broken; can't install or update

Postby Anic297 » 2018-12-06 11:05

I apologize. In the meantime, I have already reinstalled my server; I should have answered here sooner. Thanks for your idea, though.
Anic297
 
Posts: 7
Joined: 2016-10-17 14:48


Return to Installation

Who is online

Users browsing this forum: No registered users and 1 guest

fashionable